Subject: Re: [PATCH 5/5] bpf: Allow to resolve bpf trampoline in unwind

From: Björn Töpel <[email-masked]>
Date: Mon, 13 Jan 2020 13:21:03 +0100

On 2020-01-13 10:43, Jiri Olsa wrote:
> hi,
> attached patch seems to work for me (trampoline usecase), but I don't know
> how to test it for dispatcher.. also I need to check if we need to decrease
> BPF_TRAMP_MAX or BPF_DISPATCHER_MAX, it might take more time;-)
> 

Thanks for working on it! I'll take the patch for a spin.

To test the dispatcher, just run XDP!

With your change, the BPF_DISPATCHER_MAX is still valid. 48 entries =>
1890B which is < (BPF_IMAGE_SIZE / 2).

Cheers,
Björn